/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.commons.imaging.palette;

final class ColorGroupCut {
    public final ColorGroup less;
    public final ColorGroup more;
    public final ColorComponent mode;
    public final int limit;

    ColorGroupCut(final ColorGroup less, final ColorGroup more, final ColorComponent mode, final int limit) {
        this.less = less;
        this.more = more;
        this.mode = mode;
        this.limit = limit;
    }

    public ColorGroup getColorGroup(final int argb) {
        final int value = mode.argbComponent(argb);
        if (value <= limit) {
            return less;
        }
        return more;
    }

}
